require 'httparty'

module Algorand
  class AlgodClient
    attr_reader :host, :token

    def initialize(host: Configuration.algod_host,  token:)
      @host = host
      @token = token
    end

    def test
      HTTParty.get("http://#{host}/v2/status", headers: headers)
    end

    private


    def headers
      {
        'X-Algo-API-Token' => token
      }
    end
  end
end
